
%global meadversion 2.0.30
%global namedversion 2.0.30.SP4-redhat-00001
%global meadalpha .SP4_redhat_00001
%global meadrel .1
%global serial 4
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package undertow}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.30.SP4-redhat-00001

Name:           %{?scl_prefix}undertow
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Undertow
Group:          Development/Java

%if %with mead
Source100: undertow-parent-2.0.30.SP4-redhat-00001-project-sources.tar.gz
Source102: karaf-2.0.30.SP4-redhat-00001-features.xml
Source103: undertow-websockets-jsr-2.0.30.SP4-redhat-00001.pom
Source104: undertow-parser-generator-2.0.30.SP4-redhat-00001-javadoc.jar
Source105: undertow-servlet-2.0.30.SP4-redhat-00001.pom
Source106: undertow-servlet-2.0.30.SP4-redhat-00001-tests.jar
Source107: undertow-parser-generator-2.0.30.SP4-redhat-00001-sources.jar
Source108: undertow-parent-2.0.30.SP4-redhat-00001-javadoc.jar
Source109: undertow-parent-2.0.30.SP4-redhat-00001.pom
Source110: karaf-2.0.30.SP4-redhat-00001.pom
Source111: undertow-core-2.0.30.SP4-redhat-00001-javadoc.jar
Source112: undertow-core-2.0.30.SP4-redhat-00001.pom
Source113: undertow-dist-2.0.30.SP4-redhat-00001.pom
Source114: undertow-core-2.0.30.SP4-redhat-00001-tests.jar
Source115: undertow-parser-generator-2.0.30.SP4-redhat-00001.jar
Source116: undertow-servlet-2.0.30.SP4-redhat-00001-javadoc.jar
Source117: undertow-websockets-jsr-2.0.30.SP4-redhat-00001-javadoc.jar
Source118: undertow-servlet-2.0.30.SP4-redhat-00001-sources.jar
Source119: undertow-parser-generator-2.0.30.SP4-redhat-00001.pom
Source120: undertow-core-2.0.30.SP4-redhat-00001.jar
Source121: undertow-servlet-2.0.30.SP4-redhat-00001.jar
Source122: undertow-core-2.0.30.SP4-redhat-00001-sources.jar
Source123: undertow-websockets-jsr-2.0.30.SP4-redhat-00001-sources.jar
Source124: undertow-websockets-jsr-2.0.30.SP4-redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/undertow-io/undertow
Provides:       %{?scl_prefix}undertow-core = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}undertow-servlet = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}undertow-websockets-jsr = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Undertow.

%if %with javadoc
%package javadoc
Summary:        Javadoc for undertow
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n undertow-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/undertow-%{namedversion}
unzip -qq %{_sourcedir}/undertow-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/undertow-%{namedversion} -x META-INF/\*
%{__ln_s} undertow-%{namedversion} %{buildroot}%{_javadocdir}/undertow
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}undertow
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}.jar
%exclude %{_javadir}/undertow-parser-generator.jar
%if %with javadoc
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}-javadoc.jar
%exclude %{_javadir}/undertow-parser-generator-javadoc.jar
%endif
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}-sources.jar
%exclude %{_javadir}/undertow-parser-generator-sources.jar
%{_javadir}/undertow-core-%{namedversion}.jar
%{_javadir}/undertow-core.jar
%if %with javadoc
%{_javadir}/undertow-core-%{namedversion}-javadoc.jar
%{_javadir}/undertow-core-javadoc.jar
%endif
%{_javadir}/undertow-core-%{namedversion}-sources.jar
%{_javadir}/undertow-core-sources.jar
%{_javadir}/undertow-servlet-%{namedversion}.jar
%{_javadir}/undertow-servlet.jar
%if %with javadoc
%{_javadir}/undertow-servlet-%{namedversion}-javadoc.jar
%{_javadir}/undertow-servlet-javadoc.jar
%endif
%{_javadir}/undertow-servlet-%{namedversion}-sources.jar
%{_javadir}/undertow-servlet-sources.jar
%{_javadir}/undertow-websockets-jsr-%{namedversion}.jar
%{_javadir}/undertow-websockets-jsr.jar
%if %with javadoc
%{_javadir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar
%{_javadir}/undertow-websockets-jsr-javadoc.jar
%endif
%{_javadir}/undertow-websockets-jsr-%{namedversion}-sources.jar
%{_javadir}/undertow-websockets-jsr-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/undertow-%{namedversion}
%{_javadocdir}/undertow
%endif

%changelog
* Tue Jun 09 2020 Yong Yang <yyang@redhat.com> - 2.0.30-4.SP4_redhat_00001.1
- RPM wrapper build 2.0.30.SP4-redhat-00001

* Mon Apr 20 2020 Yong Yang <yyang@redhat.com> - 2.0.30-3.SP3_redhat_00001.1
- RPM wrapper build 2.0.30.SP3-redhat-00001

* Thu Apr 16 2020 Yong Yang <yyang@redhat.com> - 2.0.30-2.SP2_redhat_00001.1
- RPM wrapper build 2.0.30.SP2-redhat-00001

* Wed Mar 25 2020 Dustin Kut Moy Cheung <dcheung@redhat.com> - 2.0.30-1.SP1_redhat_00001.1
- Rebuild

* Thu Mar 05 2020 Yong Yang <yyang@redhat.com> - 2.0.28-4.SP1_redhat_00002.1
- RPM wrapper build 2.0.28.SP1-redhat-00002

* Fri Jan 10 2020 Yong Yang <yyang@redhat.com> - 2.0.28-3.SP2_redhat_00001.1
- RPM wrapper build 2.0.28.SP2-redhat-00001

* Mon Nov 18 2019 Yong Yang <yyang@redhat.com> - 2.0.28-2.SP1_redhat_00001.1
- RPM wrapper build 2.0.28.SP1-redhat-00001

* Mon Nov 18 2019 Yong Yang <yyang@redhat.com> - 2.0.28-1.Final_redhat_00001.1
- RPM wrapper build 2.0.28.Final-redhat-00001

* Wed Oct 16 2019 Yong Yang <yyang@redhat.com> - 2.0.26-2.SP3_redhat_00001.1
- RPM wrapper build 1.4.18.SP11-redhat-00002

* Thu Oct 10 2019 Yong Yang <yyang@redhat.com> - 2.0.26-1.SP3_redhat_00001.1
- RPM wrapper build 2.0.26.SP3-redhat-00001

* Wed Aug 21 2019 Yong Yang <yyang@redhat.com> - 2.0.25-1.SP1_redhat_00001.1
- RPM wrapper build 2.0.25.SP1-redhat-00001

* Thu Jun 20 2019 Neil Wallace <nwallace@redhat.com> - 2.0.22-1.Final_redhat_00001.1
- 2.0.22.Final-redhat-00001

* Mon May 13 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.20-1.Final_redhat_00001.1
- 2.0.20.Final_redhat_00001

* Tue Mar 19 2019 Neil Wallace <nwallace@redhat.com> - 2.0.19-1.Final_redhat_00001.1
- 2.0.19.Final-redhat-00001

* Wed Mar 06 2019 Neil Wallace <nwallace@redhat.com> - 2.0.18-1.Final_redhat_00001.1
- 2.0.18.Final-redhat-00001

* Mon Oct 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.15-1.Final_redhat_00001.1
- upgrade to 2.0.15.Final-redhat-00001

* Mon Oct 22 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.14-1.Final_redhat_00001.1
- upgrade to 2.0.14.Final-redhat-00001

* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.13-1.Final_redhat_00001.1
- upgrade to 2.0.13.Final-redhat-00001

* Mon Aug 13 2018 Petr Sakar <psakar@redhat.com> - 2.0.12-1.Final_redhat_00001.1
- upgrade to 2.0.12.Final-redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.9-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue May 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.9-1.Final_redhat_1.1
- upgrade to 2.0.9.Final-redhat-1

* Tue May 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.9-1.Final_redhat_1.1
- upgrade to 2.0.9.Final-redhat-1

* Wed May 23 2018 Petr Sakar <psakar@redhat.com> - 2.0.7-1.Final_redhat_1.1
- upgrade to 2.0.7.Final-redhat-1

* Wed May 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.4.18-6.SP7_redhat_1.1
- upgrade to 1.4.18.SP7-redhat-1

* Mon Mar 19 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.4.18-5.SP5_redhat_1.1
- upgrade to 1.4.18.SP5-redhat-1

* Thu Feb 01 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.4.18-4.SP2_redhat_1.1
- upgrade to 1.4.18.SP2-redhat-1

* Fri Jan 26 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.4.18-3.SP1_redhat_1.1
- upgrade to 1.4.18.SP1-redhat-1

* Tue Sep 05 2017 Petr Sakar <psakar@redhat.com> - 1.4.18-2.Final_redhat_2.1
- upgrade to 1.4.18.Final-redhat-2

* Tue Sep 05 2017 Petr Sakar <psakar@redhat.com> - 1.4.18-2.Final_redhat_2.1
- upgrade to 1.4.18.Final-redhat-2

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.4.18-1.Final_redhat_1.1
- upgrade to 1.4.18.Final-redhat-1

* Tue Jun 27 2017 Petr Sakar <psakar@redhat.com> - 1.4.17-1.Final_redhat_1.1
- upgrade to 1.4.17.Final-redhat-1

* Mon Jun 05 2017 Petr Sakar <psakar@redhat.com> - 1.4.16-1.Final_redhat_1.1
- upgrade to 1.4.16.Final-redhat-1

* Sat May 20 2017 Petr Sakar <psakar@redhat.com> - 1.4.15-1.Final_redhat_1.1
- upgrade to 1.4.15.Final-redhat-1

* Tue May 09 2017 Martin Minar <mminar@redhat.com> - 1.4.14-1.Final_redhat_1.1
- update to version 1.4.14.Final

* Fri Apr 21 2017 Martin Minar <mminar@redhat.com> - 1.4.13-1.Final_redhat_1.1
- update to version 1.4.13.Final

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.4.12-1.Final_redhat_1.1
- upgrade to 1.4.12.Final-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.4.11-1.Final_redhat_1.1
- upgrade to 1.4.11.Final-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.4.10-1.Final_redhat_1.1
- upgrade to 1.4.10.Final-redhat-1

* Mon Dec 19 2016 Petr Sakar <psakar@redhat.com> - 1.4.8-1.Final_redhat_1.1
- upgrade to 1.4.8.Final-redhat-1

* Fri Nov 25 2016 Filip Kujikis <fkujikis@redhat.com> - 1.4.6-1.Final_redhat_1.1
- prod build for upstream tag 1.4.6.Final

* Thu Nov 03 2016 Filip Kujikis <fkujikis@redhat.com> - 1.4.4-1.Final_redhat_1.1
- prod build for upstream tag 1.4.4.Final

* Fri Sep 16 2016 Petr Sakar <psakar@redhat.com> - 1.4.3-1.Final_redhat_1.1
- upgrade to 1.4.3.Final-redhat-1

* Tue Aug 09 2016 Petr Sakar <psakar@redhat.com> - 1.4.0-1.Final_redhat_1.1
- upgrade to 1.4.0.Final-redhat-1

* Mon Aug 01 2016 Petr Sakar <psakar@redhat.com> - 1.3.24-1.Final_redhat_1.1
- upgrade to 1.3.24.Final-redhat-1

* Wed Jun 22 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.23-1.Final_redhat_1.1
- Upgrade to 1.3.23.Final

* Thu May 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.22-1.Final_redhat_1.1
- Upgrade to 1.3.22.Final

* Thu Apr 07 2016 Paul Gier <pgier@redhat.com> - 1.3.21-1.Final_redhat_1.1
- 1.3.21.Final

* Tue Apr 05 2016 Petr Sakar <psakar@redhat.com> - 1.3.20-1.Final_redhat_1.1
- upgrade to 1.3.20.Final-redhat-1

* Thu Mar 17 2016 Petr Sakar <psakar@redhat.com> - 1.3.19-1.Final_redhat_1.1
- upgrade to 1.3.19.Final-redhat-1

* Sun Feb 21 2016 Petr Sakar <psakar@redhat.com> - 1.3.18-1.Final_redhat_1.1
- upgrade to 1.3.18.Final-redhat-1

* Thu Feb 18 2016 Petr Sakar <psakar@redhat.com> - 1.3.17-1.Final_redhat_1.1
- upgrade to 1.3.17.Final-redhat-1

* Fri Jan 29 2016 Petr Sakar <psakar@redhat.com> - 1.3.16-1.Final_redhat_1.1
- Upgrade to 1.3.16.Final-redhat-1

* Wed Jan 27 2016 Petr Sakar <psakar@redhat.com> - 1.3.15-1.Final_redhat_1.1
- Upgrade to 1.3.15.Final-redhat-1

* Wed Jan 20 2016 Petr Sakar <psakar@redhat.com> - 1.3.14-1.Final_redhat_1.1
- Upgrade to 1.3.14.Final-redhat-1

* Fri Jan 08 2016 Paul Gier <pgier@redhat.com> - 1.3.12-1.Final_redhat_1.1
- 1.3.12.Final rebuild

* Tue Jan 05 2016 Yong Yang <yyang@redhat.com> - 1.3.11-1.Final_redhat_1.1
- 1.3.11.Final-redhat-1

* Mon Dec 07 2015 Paul Gier <pgier@redhat.com> - 1.3.9-1.Final_redhat_1.1
- Upgrade to 1.3.9.Final

* Wed Nov 25 2015 Petr Sakar <psakar@redhat.com> - 1.3.7-1.Final_redhat_1.1
- Upgrade to 1.3.7.Final-redhat-1

* Mon Nov 09 2015 Neil Wallace <nwallace@redhat.com> - 1.3.5-1.Final_redhat_1.1
- Upgrate to 1.3.5.Final

* Tue Nov 03 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.4-1.Final_redhat_1.1
- Upgrade to 1.3.4.Final

* Fri Oct 30 2015 David Walluck <dwalluck@redhat.com> 0:1.3.3-2.Final_redhat_1.1
- remove some artifacts

* Tue Oct 27 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.3-1.Final_redhat_1.1
- Upgrade to 1.3.3.Final

* Fri Aug 28 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.0-3.Beta9_redhat_1.1
- Upgrade to 1.3.0.Beta9

* Fri Aug 28 2015 Yong Yang <yyang@redhat.com> - 1.3.0-2.Beta8_redhat_1.1
- Rebuild

* Fri Jul 31 2015 Hui Wang <huwang@redhat.com> - 1.3.0-1.Beta4_redhat_1.1
- Initial build
